﻿using Spread.Common.DataStore.DataSourceEntities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Spread.Common.DataStore
{
    public class DataService
    {
        #region fields
        private JsonDataSource _jsonDataSource;
        private DashBoardDataSource _dashBoardSource;
        private KPIDataSource _kpiDataSource;
        private AccessDataSource _accessDataSource;
        private FinancialKPIDataSource _financialKpiDataSource;
        private IncomeStatementDataSource _incomeStatementDataSource;
        private StudentDashboardDataSource _studentDashboardDataSource;
        private StudentCalendarDataSource _studentCalendarDataSource;
        private COGSDataSource _cogsDataSource;
        private OrderEntryDataSource _orderEntryDataSource;
        #endregion

        #region Object Model

        public JsonDataSource JsonDataSource
        {
            get
            {
                if (_jsonDataSource == null)
                    _jsonDataSource = new JsonDataSource();
                return _jsonDataSource;
            }
        }

        public DashBoardDataSource DashBoardDataSource
        {
            get
            {
                if (_dashBoardSource == null)
                    _dashBoardSource = new DashBoardDataSource();
                return _dashBoardSource;
            }
        }
        public KPIDataSource KPIDataSource
        {
            get
            {
                if (_kpiDataSource == null)
                    _kpiDataSource = new KPIDataSource();
                return _kpiDataSource;
            }
        }

        public AccessDataSource AccessDataSource
        {
            get
            {
                if (_accessDataSource == null)
                    _accessDataSource = new AccessDataSource();
                return _accessDataSource;
            }
        }

        public FinancialKPIDataSource FinancialKPIDataSource
        {
            get
            {
                if (_financialKpiDataSource == null)
                    _financialKpiDataSource = new FinancialKPIDataSource();
                return _financialKpiDataSource;
            }
        }

        public IncomeStatementDataSource IncomeStatementDataSource
        {
            get
            {
                if (_incomeStatementDataSource == null)
                    _incomeStatementDataSource = new IncomeStatementDataSource();
                return _incomeStatementDataSource;
            }
        }

        public StudentDashboardDataSource StudentDashboardDataSource
        {
            get
            {
                if (_studentDashboardDataSource == null)
                    _studentDashboardDataSource = new StudentDashboardDataSource();
                return _studentDashboardDataSource;
            }
        }

        public StudentCalendarDataSource StudentCalendarDataSource
        {
            get
            {
                if (_studentCalendarDataSource == null)
                    _studentCalendarDataSource = new StudentCalendarDataSource();
                return _studentCalendarDataSource;
            }
        }

        public COGSDataSource COGSDataSource
        {
            get
            {
                if (_cogsDataSource == null)
                    _cogsDataSource = new COGSDataSource();
                return _cogsDataSource;
            }
        }

        public OrderEntryDataSource OrderEntryDataSource
        {
            get
            {
                if (_orderEntryDataSource == null)
                    _orderEntryDataSource = new OrderEntryDataSource();
                return _orderEntryDataSource;
            }
        }
        #endregion


    }
}
