﻿using System;
using System.Collections.Generic;

namespace Spread.Common.DataStore.Models
{
    /// <summary>
    /// Model class for absent records of all Students for a Session
    /// </summary>
    public class AbsentRecords
    {
        #region Properies
        public int SessionID { get; set; }
        public List<AbsentRecord> StudentRecords { get; set; }
        #endregion
    }

    /// <summary>
    /// Model class for absent record of a Student
    /// </summary>
    public class AbsentRecord : IStudentRecord
    {
        #region Properties
        public int StudentID { get; set; }
        public DateTime Date { get; set; }
        #endregion
    }
}
