﻿using System.Collections.Generic;

namespace Spread.Common.DataStore.Model
{
    public class CostOfGoodsStats
    {
        #region Properties
        public List<int> CategoryRevenues { get; set; }
        public List<int> CategoryCosts { get; set; }
        public Expenses Expenses { get; set; }
        #endregion

        #region ctor
        public CostOfGoodsStats()
        {
            CategoryRevenues = new List<int>();
            CategoryCosts = new List<int>();
            Expenses = new Expenses();
        }
        #endregion
    }

    public class Expenses
    {
        #region Properties
        public int SalaryExpenses { get; set; }
        public int PayrollExpenses { get; set; }
        public int OutsideServices { get; set; }
        public int Supplies { get; set; }
        public int Repairs { get; set; }
        public int Advertising { get; set; }
        public int CarDelivery { get; set; }
        public int Accounting { get; set; }
        public int Rent { get; set; }
        public int Telephone { get; set; }
        public int Utilities { get; set; }
        public int Insurance { get; set; }
        public int Taxes { get; set; }
        public int Interest { get; set; }
        public int Depreciation { get; set; }
        public List<int> Others { get; set; }
        public int Miscellaneous { get; set; }
        #endregion

        #region ctor
        public Expenses()
        {
            Others = new List<int>();
        }
        #endregion
    }
}
