﻿using System;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace Spread.Common.DataStore.Models
{
    /// <summary>
    /// Model class for Invoice entity
    /// </summary>
    public class Invoice
    {
        #region Properties
        public string ID { get; set; }

        public DateTime CreatedOn { get; set; }

        public int CustomerID { get; set; }

        public string VehicleID { get; set; }

        public decimal TaxRateParts { get; set; }

        public decimal TaxRateServices { get; set; }

        public decimal TotalPartsAmount { get; set; }

        public decimal TotalServiceAmount { get; set; }

        public decimal TotalAmount { get; set; }
        #endregion
    }
}
