﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace Spread.Common.DataStore.Models
{
    /// <summary>
    /// Model class to represent Service entity (Service performed on the Vehicle)
    /// </summary>
    public class InvoiceServices
    {
        #region Properties
        [XmlElement("ID")]
        public int ID { get; set; }

        [XmlElement("InvoiceID")]
        public string InvoiceID { get; set; }

        [XmlElement("Description")]
        public string Description { get; set; }

        [XmlElement("FixedAmount")]
        public int FixedAmount { get; set; }

        [XmlElement("ServiceAmount")]
        public int ServiceAmount { get; set; }
        #endregion
    }

   
}
