﻿using System;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace Spread.Common.DataStore.Models
{
    /// <summary>
    /// Model class for Vehicle entity
    /// </summary>
    public class Vehicle
    {
        #region Properties
        [XmlElement("ID")]
        public string ID { get; set; }

        [XmlElement("Year")]
        public int Year { get; set; }

        [XmlElement("Make")]
        public string Make { get; set; }

        [XmlElement("Model")]
        public string Model { get; set; }

        [XmlElement("Color")]
        public string Color { get; set; }

        [XmlElement("Mileage")]
        public double Mileage { get; set; }

        [XmlElement("CreatedOn")]
        public DateTime CreatedOn { get; set; }
        #endregion
    }
}
