﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;

namespace Spread.Common.Features.Core
{
    public class SkinManager
    {
        public static Color PrimaryAccentColor = Color.FromArgb(98, 0, 237);
        public static Color TitleBarForeColor = Color.White;
        public static Color DescriptionBackColor = Color.FromArgb(25, 243, 255, 193);
        public static Color SideBarBackColor = Color.White;
        public static Color TileViewColor = Color.White;
        public static Color ExplorerBackColor = Color.FromArgb(238, 247, 246);

        public static Color SideBarRootNodeColor = Color.Gray;
        public static Color SideBarChildNodeColor = Color.Black;
    }

    public static class FontManager
    {
        public static Font SideBarRootFont = new Font("Segoe UI", 10);
        public static Font SideBarChildFont = new Font("Segoe UI", 12);
    }
}

