﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Spread.Common.Features.Sample
{
    public class BaseSample
    {
        public string Title { get; set; }
        public string Description { get; set; }
        public string Code { get; set; }
        public string ExeName { get; set; }
        public string UniqueName
        {
            get
            {
                return ExeName + "." + ClassName;
            }
        }
        public string ClassName { get; set; }
        public bool IsGroup { get; set; } = false;
        public string Status { get; set; }
        public bool NotASample { get; set; } = false;
    }

    public class ExampleSample : BaseSample
    {

    }

    public class FeatureSample : BaseSample
    {
        public string FeatureName { get; set; }
    }
}
