﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Spread.Common.DataStore.Models
{
    public class DashBoardItems
    {
        public List<Customer> Customers { get; set; }
        public List<Company> Companies { get; set; }
        public List<CustomerTarget> CustomerTargets { get; set; }
        public List<Invoice> Invoices { get; set; }
        public List<MarketSale> MarketSales { get; set; }
        public List<Product> Products { get; set; }
        public List<Sale> Sales { get; set; }
        public List<Region> Regions { get; set; }
        public List<DashBoardTargetMaster> TargetMasters { get; set; }
    }

    public class DashBoardTargetMaster : IDateTime
    {
        public int Id { get; set; }
        public int ProductId { get; set; }
        public int? Month { get; set; }
        public int? Year { get; set; }
        public double Target { get; set; } = 0;
        public double GTargetValue { get; set; } = 0;
        public double BTargetValue { get; set; } = 0;
        public double ActualTarget { get; set; } = 0;

    }
}
