﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace Spread.Common.DataStore.Models
{
    /// <summary>
    /// Model class to establish one-to-many relationship between Invoice and Parts entities
    /// </summary>
    public class InvoiceParts
    {
        #region Properties
        [XmlElement("ID")]
        public int ID { get; set; }

        [XmlElement("InvoiceID")]
        public string InvoiceID { get; set; }

        [XmlElement("PartsID")]
        public string PartsID { get; set; }

        [XmlElement("Quantity")]
        public int Quantity { get; set; }
        #endregion
    }

    
}
