﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;

namespace Spread.Common.DataStore.Models
{
    public class MatchPointTable 
    {
        public int TeamId { get; set; }
        public string CurrentRank { get; set; } // -1 if rank does not found
        public string PreviousRank { get; set; } // -1 if rank does not found
        public string PositionInTable { get;  set; }
        public string TeamName { get; set; }

        [Range(0,Int32.MaxValue)]
        public int TotalMatch { get; set; }
        [Range(0, Int32.MaxValue)]
        public int TotalWin { get; set; }
        [Range(0, Int32.MaxValue)]
        public int TotalLoss { get; set; }
        
    }
}
