﻿using Newtonsoft.Json;
using System;

namespace Spread.Common.DataStore.Models
{
    public class MovieRecord
    {
        [JsonProperty("Film")]
        public string Film { get; set; }

        [JsonProperty("Genre")]
        public string Genre { get; set; }

        [JsonProperty("Lead Studio")]
        public string LeadStudio { get; set; }

        [JsonProperty("Audience Score %")]
        public int? AudienceScore { get; set; }

        [JsonProperty("Profitability")]
        public double? Profitability { get; set; }

        [JsonProperty("Rating")]
        public int? Rating { get; set; }

        [JsonProperty("Worldwide Gross")]
        public double WorldwideGross { get; set; }

        [JsonProperty("Date")]
        public DateTime Date { get; set; }
    }
}
