﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace Spread.Common.DataStore.Models
{
    /// <summary>
    /// Model class to represent the Parts entity (Parts used in servicing)
    /// </summary>
    public class Parts
    {
        #region Properties
        [XmlElement("ID")]
        public string ID { get; set; }

        [XmlElement("Name")]
        public string Name { get; set; }

        [XmlElement("UnitPrice")]
        public double UnitPrice { get; set; }
        #endregion
    }

   
}
