﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Spread.Common.DataStore.Models
{
    public class ScoreRecords
    {
        public int SessionID { get; set; }
        public List<ScoreRecord> StudentRecords { get; set; }
    }

    public class ScoreRecord
    {
        public int StudentID { get; set; }
        public List<int> AssignmentScores { get; set; }
        public List<int> AssessmentScores { get; set; }
        public int CurrentCourseScore { get; set; }
        public int PreviousCourseScore { get; set; }
        public int TargetCourseScore { get; set; }
        public int LateAssignmentCount { get; set; }
        public int PreviousTermAbsentDays { get; set; }
        public int PreviousTermTardyDays { get; set; }
        public int CurrentTermReferralCount { get; set; }
        public int PreviousTermReferralCount { get; set; }
        public int CurrentTermDetentionCount { get; set; }
        public int PreviousTermDetentionCount { get; set; }
    }
}
