﻿using System;
using System.Collections.Generic;

namespace Spread.Common.DataStore.Models
{
    /// <summary>
    /// Model class for Tardy records of all Students for a Session
    /// </summary>
    public class TardyRecords
    {
        #region Properties
        public int SessionID { get; set; }
        public List<TardyRecord> StudentRecords { get; set; }
        #endregion
    }

    /// <summary>
    /// Model class for Tardy record of a Student
    /// </summary>
    public class TardyRecord : IStudentRecord
    {
        #region Properties
        public int StudentID { get; set; }
        public DateTime Date { get; set; }
        #endregion
    }
}
